/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010  EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef BUYDATA_H
#define BUYDATA_H

#include "libmeganizer.h"

class Medium;
class SearchPlugin;

#include <QString>

class LIBMEGANIZER_EXPORT BuyData {
  public:
    BuyData();
		bool isValid();
    Medium *medium;
    SearchPlugin *shop;
    bool inCatalog;
    float price;
    bool isUsed;
    QString currencyShortName;
    int available;
    float shippingCost;
    QString customShopData;
    bool operator==(const BuyData &data) const;
    bool operator!=(const BuyData &data) const;
};

#endif // BUYDATA_H
