/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010 - 2011 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef EDITMATERIALPERSONSDETAILSWIDGET_H
#define EDITMATERIALPERSONSDETAILSWIDGET_H

#include <detailswidget.h>
#include "ui_editmaterialpersonsdetailswidget.h"

class MaterialPerson;

class QSqlQueryModel;

class EditMaterialPersonsDetailsWidget : public DetailsWidget, private Ui::EditMaterialPersonsDetailsWidget
{
	Q_OBJECT
	public:
	EditMaterialPersonsDetailsWidget ( QSqlQueryModel *model, QWidget* parent = 0, Qt::WindowFlags flags = 0 );
		QString name();
		QString givenName();

	public slots:
		void clear();
		void setItem ( QModelIndex index );
		void setEnabled ( bool show, QString defaultString = QString() );
		void setEnabled ( bool show, MaterialPerson *person);

	private:
		QSqlQueryModel *model;
};

#endif // EDITMATERIALPERSONSDETAILSWIDGET_H
