/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010 - 2011 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef LIBMEGANIZER_H
#define LIBMEGANIZER_H

/** \page libmeganizer LibMeganizer
	* LibMeganizer is used by all components of Meganizer. If build with BUILD_DEV=ON,
	* it also installs a related designer plugin, header files and the library for common tests
	* @ref libmeganizertest. With help of these stuff, it allows developing Meganizer plugins
	* outside of this project, like TeaMS does.
	*/
#ifdef BUILD_DLL
    #define LIBMEGANIZER_EXPORT Q_DECL_EXPORT
#else
    #define LIBMEGANIZER_EXPORT Q_DECL_IMPORT
#endif

#endif // LIBMEGANIZER_H
