/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010 - 2011 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef MEDIUMGENREWIDGET_H
#define MEDIUMGENREWIDGET_H

#include "libmeganizer.h"

#include "mediumsimpleeditwidget.h"

class QLineEdit;
class QSqlQueryModel;

class LIBMEGANIZER_EXPORT MediumGenreWidget : public MediumSimpleEditWidget
{
	Q_OBJECT
	public:
		MediumGenreWidget(QWidget *parent = 0, Qt::WindowFlags flags = 0);

	private slots:
		void searchGenre();
		
	private:
		void loadCompleter();
		
		QLineEdit *genreEdit;
		QSqlQueryModel *complModel;
};

#endif // MEDIUMGENREWIDGET_H
