/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010  EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef MINMODELTEST_H
#define MINMODELTEST_H

#include <QObject>

#include <dbtestinit.h>

#include <QPointer>

/**
	* includes also the MediumMIN tests
	*/
class MINModelTest : public QObject
{
	Q_OBJECT
	private slots:
		void initTestCase();
		
		void mediumMINTest();

		void addingAndRemovingMINs();
		void standardTests();
		/**
			* tests @see MINModel::min(QString minType)
			* and @see MINModel::mins(QString minType)
			*/
		void minAndMinsTest();
		
	private:
		QPointer<DBTestInit> testInit;
		MediumKeys keys;
		unsigned int testMINTypeId;
		QString testMINType;
};

#endif // MINMODELTEST_H
