/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010 - 2011 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef LIBMEGANIZERTEST_H
#define LIBMEGANIZERTEST_H

/**
	* \page libmeganizertest LibMeganizerTest
	*	LibMeganizerTest provides some functionality
	* to test subclasses of
	* @li Medium --> MediumBaseTests,
	* @li MediaModel --> MediaModelBaseTests,
	* @li MediumSimpleEditWidget --> MediumSimpleEditWidgetBaseTest
	*
	* To test against a Meganizer test database, use DBTestInit, which
	* creates an empty temporary test database with current Meganizer
	* database structure.
	*
	* It also provides the ModelTest class from Qt Labs to test
	* some common failures on QAbstractItemModel implementations.
	*/
#ifdef BUILD_DLL
	#define LIBMEGANIZER_TEST_EXPORT Q_DECL_EXPORT
#else
  #define LIBMEGANIZER_TEST_EXPORT Q_DECL_IMPORT
#endif

#endif //LIBMEGANIZERTEST_H