/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010  EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef MEDIAMODELBASETESTS_H
#define MEDIAMODELBASETESTS_H

#include "libmeganizertest.h"
#include <QObject>

class MediaModel;
class ModelTest;

/**
	* @brief Should be used to test all standard things related to MediaModel's.
	*
	*/
class LIBMEGANIZER_TEST_EXPORT MediaModelBaseTests : public QObject
{
	Q_OBJECT
	public:
		inline MediaModelBaseTests(QObject *parent = 0) : QObject(parent) {};
		
	protected:
		/**
			* @brief Run's all standard tests for MediaModel on @p model
			*/
		void baseTests(MediaModel *model);
		
	private:
		void testEditMedium();
};

#endif // MEDIAMODELBASETESTS_H
