<?php
$localSchema = "manuserver.xsd";
$schema = "http://mins.engsas.de/". $localSchema;
$encoding = "utf-8";

// configure translations
//
// To create the translation files:
// xgettext -j --default-domain=manuserver --keyword=_ --keyword --language=Python -o locale/de_DE.UTF-8/LC_MESSAGES/manuserver.po *.php
// (To create the first version, leave out the -j)
// Afterwards create the compiled database with
// msgfmt locale/de_DE.UTF-8/LC_MESSAGES/manuserver.po -v -o locale/de_DE.UTF-8/LC_MESSAGES/manuserver.mo
// make sure, that the lang_LANG.UTF-8 exists as a locale on the webserver!
$domain = "manuserver";
$locale = "en_EN";
$lang = "";
if(array_key_exists("lang", $_GET)){
	if(preg_match("/^[a-z]{2}_[A-Z]{2}/", $_GET["lang"])){
		$lang = $_GET["lang"];
		$locale = $lang;
	}
}
// if no charset is appended, append UTF-8
if(!preg_match("/^[a-z]{2}_[A-Z]{2}\./", $locale))
	$locale = $locale . ".UTF-8";
setlocale(LC_MESSAGES, $locale);
bindtextdomain($domain, "./locale");
bind_textdomain_codeset($domain, $encoding);
textdomain($domain);

// loggin part
session_start();
$loggedIn = 0;
$user = "";
if(array_key_exists("loggedIn", $_SESSION) && array_key_exists("Username", $_SESSION)){
	$loggedIn = $_SESSION['loggedIn'];
	$user = $_SESSION['Username'];
}
header( 'Content-Type: text/html; charset=UTF-8' );
mb_internal_encoding( 'UTF-8' );

if(!function_exists('__autoload')){
	/**
		* tries include the class defintion automatically, if the class is used
		*/
	function __autoload($className) {
			require_once $className . '.php';
	}
}
?>