<?php
session_start();
$lang = "de";

header( 'Content-Type: text/html; charset=UTF-8' );
mb_internal_encoding( 'UTF-8' );

/**
	* tries include the class defintion automatically, if the class is used
	*/
function __autoload($className) {
    require_once $className . '.php';
}

$loggedIn = 0;
$user = "";
if(array_key_exists("loggedIn", $_SESSION) && array_key_exists("Username", $_SESSION)){
	$loggedIn = $_SESSION['loggedIn'];
	$user = $_SESSION['Username'];
}
else{
	header("Location: admin.php");
}

$title = "ManuServer - Process Queued Manufacturer";
$additionalHeader = "<link rel=\"stylesheet\" type=\"text/css\" href=\"ajaxtabs/ajaxtabs.css\" />
	<script type=\"text/javascript\" src=\"ajaxtabs/ajaxtabs.js\">
		/***********************************************
		* Ajax Tabs Content script v2.2- C Dynamic Drive DHTML code library (www.dynamicdrive.com)
		* This notice MUST stay intact for legal use
		* Visit Dynamic Drive at http://www.dynamicdrive.com/ for full source code
		***********************************************/
	</script>";
include("header.php");
echo "<div class=\"content\">\n";

$connId = @ mysql_connect("localhost", Settings::value("ADMINUSER"), Settings::value("ADMINPASSWORD"));
if(!$connId){
	echo "<div class=\"log\">\n";
	echo "<div class=\"logLine\">Please specify the database admin user at <a href=\"admin.php\">Admin</a></div>\n";
	echo "</div>\n";
	include("footer.php");
	die();
}
if(!mysql_select_db(Settings::value("DBNAME"))){
	echo "<div class=\"log\">\n";
	echo "<div class=\"logLine\">Could not select the specified database ". Settings::value("DBNAME") .".</div>\n";
	echo "</div>\n";
	mysql_close($connId);
	include("footer.php");
	die();
}

$unfinishedManufacturers =  mysql_num_rows(mysql_query("SELECT id FROM manufacturers_queue WHERE manufacturersId IS NULL"));
$unfinishedMintypes =  mysql_num_rows(mysql_query("SELECT id FROM mintypes_queue WHERE mintypesId IS NULL"));
$unfinishedPrefixes =  mysql_num_rows(mysql_query("SELECT id FROM manufacturerhasmins_queue"));
mysql_close($connId);
?>

	<ul id="countrytabs" class="shadetabs">
<?php
	if($unfinishedManufacturers > 0){
?>
		<li>
			<a href="processmanufacturers.php?lang=<?php echo $lang; ?>" rel="#iframe" class="selected">
				Manufacturers (<?php echo $unfinishedManufacturers; ?>)
			</a>
		</li>
<?php
}
if($unfinishedMintypes > 0){
?>
		<li>
			<a href="processmintypes.php?lang=<?php echo $lang; ?>" rel="#iframe">
				MIN-Types (<?php echo $unfinishedMintypes; ?>)
			</a>
		</li>
<?php
}
if($unfinishedPrefixes > 0){
?>
		<li>
			<a href="processprefixes.php?lang=<?php echo $lang; ?>" rel="#iframe">
				Prefixes (<?php echo $unfinishedPrefixes; ?>)
			</a>
		</li>
<?php
}
?>
	</ul>
	<div id="countrydivcontainer" class="tabcontent">
	</div>

	<script type="text/javascript">
	var countries=new ddajaxtabs("countrytabs", "countrydivcontainer")
	countries.setpersist(true)
	countries.setselectedClassTarget("link") //"link" or "linkparent"
	countries.init()
	</script>

	<div>
		<a href="admin.php">Admin</a>
	</div>
</div>

<?php
include("footer.php");
?>