/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010  EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/


#ifndef BOOKSMODEL_H
#define BOOKSMODEL_H

#include "mediamodel.h"

class Book;

class BooksModel : public MediaModel
{
    Q_OBJECT

  public:
    Q_INVOKABLE BooksModel ( EQueryThread *queryThread, QObject *parent = 0 );
//     ~BooksModel();

#if QT_VERSION < 0x040500
		MediaModel *createNewModel();
#endif
    Medium *newMedium() const;
    void addItemDelegates(QAbstractItemView *view);
};

#endif // BOOKSMODEL_H
