/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2011 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/


#ifndef ISSNVALIDATORTESTS_H
#define ISSNVALIDATORTESTS_H

#include <QObject>

class ISSNValidator;

class ISSNValidatorTests : public QObject
{
	Q_OBJECT
	public:
    ISSNValidatorTests(QObject* parent = 0);
    ~ISSNValidatorTests();

	private slots:
// 		void checksum_data();
// 		void checksum();
		void strip_data();
		void strip();
		void isType_data();
		void isType();
		void mayType_data();
		void mayType();
		void isValid_data();
		void isValid();
		void validate_data();
		void validate();
		
	private:
		ISSNValidator *validator;
};

#endif // ISSNVALIDATORTESTS_H
