/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010  EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/


#ifndef UPCVALIDATORTESTS_H
#define UPCVALIDATORTESTS_H

#include <QObject>

class UPCValidator;

class UPCValidatorTests : public QObject
{
	Q_OBJECT
	public:
    UPCValidatorTests(QObject* parent = 0);
    ~UPCValidatorTests();

	private slots:
		void strip_data();
		void strip();
		void isValid_data();
		void isValid();
		void validate_data();
		void validate();
		/**
			* @todo see comment at function
			*/
		void isType_data();
		void isType();
		void mayType_data();
		void mayType();
		void convert_data();
		void convert();
		
	private:
		UPCValidator *validator;
};

#endif // UPCVALIDATORTESTS_H
