/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010  EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef MEDIUMGIFTWIDGETDESIGNERPLUGIN_H
#define MEDIUMGIFTWIDGETDESIGNERPLUGIN_H

#include <QObject>
#include <QDesignerCustomWidgetInterface>

class MediumGiftWidgetDesignerPlugin : public QObject, public QDesignerCustomWidgetInterface
{
	Q_OBJECT
  Q_INTERFACES(QDesignerCustomWidgetInterface)
  public:
    MediumGiftWidgetDesignerPlugin(QObject *parent = 0);

		QString name() const;
		QString group() const;
		QString toolTip() const;
    QString whatsThis() const;
		QString includeFile() const;
		QIcon icon() const;
		bool isContainer() const;
    QWidget *createWidget(QWidget *parent);
		QString domXml() const;
// 		codeTemplate() const;
		void initialize(QDesignerFormEditorInterface *core);
		bool isInitialized() const;

  private:
     bool initialized;
};

#endif // MEDIUMGIFTWIDGETDESIGNERPLUGIN_H
