/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010  EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/


#ifndef MEDIUMBASETESTS_H
#define MEDIUMBASETESTS_H

#include "libmeganizertest.h"
#include <QObject>

class Medium;

/**
	* @brief Provides some basic tests, which should be done, but can not be done at Medium base class.
	*/
class LIBMEGANIZER_TEST_EXPORT MediumBaseTests : public QObject
{
	Q_OBJECT
	protected slots:
		/**
			* @brief Call this slot to do the base tests.
			*/
		void baseTests(Medium *med);
};

#endif // BOOKSMODELTEST_H
