/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2011 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/


#ifndef CDDEVICEEDITWIDGETTEST_H
#define CDDEVICEEDITWIDGETTEST_H

#include <mediumeditwidgetbasetests.h>

class CDDeviceEditWidgetTest : public MediumEditWidgetBaseTests
{
	Q_OBJECT
	public:
		static bool deviceModify(MediumEditWidgetBaseTests *caller, MediumEditWidget *widget);
		static bool deviceCheck(MediumEditWidgetBaseTests *caller, MediumEditWidget *widget, Medium *med);
		
		uint deviceId;
		QString deviceName;
		
	private slots:
		void initTestCase();
		void test();
};

#endif // CDDEVICEEDITWIDGET_H
