/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010 - 2011 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/


#include "trackedit.h"
#include "trackedit.moc"

#include <mediumchildswidget.h>
#include <mediumparentswidget.h>
#include "tracklengtheditwidget.h"

TrackEdit::TrackEdit ( QWidget* parent, Qt::WindowFlags flags )
    : EditMedium ( parent, flags )
{
	removeTab("upperTabWidget", "loanTab");
	setManufacturerText(tr("Label"));
	setPersonsDefaultRole(tr("Artist"));

	addTab(new MediumChildsWidget(this), tr("Tracks"), "lowerTabWidget");
	addTab(new MediumParentsWidget(this), tr("Related Media"), "lowerTabWidget");

	insertWidget(new TrackLengthEditWidget(this), "metaDataTab");
}
