/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010 - 2015 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/


#ifndef STATISTICSSUMMARY_H
#define STATISTICSSUMMARY_H

#include <ewidget.h>

class MediaPlugin;

class EChartPie;
class EChartValues;

/**
	* @brief Displays some statistics about the database.
	*/
class StatisticsSummary : public EWidget
{
	Q_OBJECT
	public:
		StatisticsSummary(QList<MediaPlugin*> plugins, QWidget *parent = NULL);
		
	private:
		EChartValues restrictNumberOfEntries(const EChartValues &values, int rows);
		
		EChartPie *_chartMediaTypes, *_chartUsers;
};

#endif // STATISTICSSUMMARY_H
